bookmark_borderAuthorize.Net Add-On Requirements

To be able to use the Authorize.net add-on for Gravity Forms, there are a few different fields that will need to be included in within your form.

System Requirements

  • Gravity Forms v1.9.12+
  • WordPress v4.0+
  • SSL Certificate Installed and Configured
  • PHP cURL Extension

The Gravity Forms Authorize.Net Add-On requires the use of the payment add-on framework and pricing fields in Gravity Forms v1.9.12+ and will not work with older versions of Gravity Forms.

Because of the secure nature of capturing credit card information you will also be required to purchase and install an SSL certificate on your web site. You will also need to configure your WordPress site to work properly with SSL.

Contact your web host if you need assistance purchasing and configuring an SSL certificate.

If you need assistance configuring your WordPress site to work with SSL we recommend the WordPress HTTPS (SSL) Plugin.

Please contact your web host to confirm the PHP cURL extension is enabled on the server hosting your site.

Required Fields

The following are fields that are required to be within your form to properly process payments via Authorize.net:

  • Name
  • Address
  • Email
  • Phone Number
  • Credit Card

Note: When using Page fields to create a multi-page form the Credit Card field should be located on the last page of the form.

Feeds

In addition to the required fields being present within your form, you will also need to have a feed for the Authorize.net add-on to properly send the form submission data to Authorize.net. Without this, payment data is not sent to Authorize.net and therefore, the payment is not processed.

For more information on feeds, take a look at our article on creating a feed for the Authorize.net add-on.